"use client";
import { motion } from "framer-motion";

export default function Box() {
  return (
    <motion.div
      initial={{
        y: 25,
        opacity: 0,
      }}
      whileInView={{
        y: 0,
        opacity: 1,
      }}
      viewport={{
        once: true,
      }}
      className="relative p-5 border border-white/5 bg-[#0E1618]/10 backdrop-blur-sm flex flex-col items-center gap-4"
    >
      <p className="text-sm text-white/75 text-center">
        Team Vertex is working on this
      </p>

      <button className="h-[40px] px-2.5 border border-white/5 bg-[#0E1618] flex justify-center items-center gap-1.5 text-sm font-medium uppercase text-[#0CE77E]">
        Coming Your Way Q2 - 2025
      </button>

      <span className="absolute -top-px -left-px group-hover:opacity-0 duration-200">
        <svg
          width="6"
          height="5"
          viewBox="0 0 6 5"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path d="M1 0V4.5" stroke="#0CE77E" />
          <path d="M5.5 0.5L1 0.5" stroke="#0CE77E" />
        </svg>
      </span>

      <span className="absolute -bottom-px -left-px group-hover:opacity-0 duration-200">
        <svg
          width="6"
          height="5"
          viewBox="0 0 6 5"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path d="M1 4.5V0" stroke="#0CE77E" />
          <path d="M5.5 4L1 4" stroke="#0CE77E" />
        </svg>
      </span>

      <span className="absolute -top-px -right-px group-hover:opacity-0 duration-200">
        <svg
          width="6"
          height="5"
          viewBox="0 0 6 5"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path d="M5 0V4.5" stroke="#0CE77E" />
          <path d="M0.5 0.5L5 0.5" stroke="#0CE77E" />
        </svg>
      </span>

      <span className="absolute -bottom-px -right-px group-hover:opacity-0 duration-200">
        <svg
          width="6"
          height="5"
          viewBox="0 0 6 5"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path d="M5 4.5V0" stroke="#0CE77E" />
          <path d="M0.5 4L5 4" stroke="#0CE77E" />
        </svg>
      </span>
    </motion.div>
  );
}
