import type { Metadata } from "next";
import Boxes from "./Boxes";
import BottomBoxes from "./BottomBoxes";

export const metadata: Metadata = {
  title: "Vertex - Dashboard Home",
  description:
    "Vertex thrives on the power of community. By connecting users across the globe, we are creating a network that fosters collaboration, innovation, and shared success.",
  openGraph: {
    type: "website",
    url: "https://dapp-ai-proj-02.vercel.app/dashboard/home",
    title: "Vertex - Dashboard Home",
    description:
      "Vertex thrives on the power of community. By connecting users across the globe, we are creating a network that fosters collaboration, innovation, and shared success.",
    images: "https://dapp-ai-proj-02.vercel.app/og-banner.png",
  },
};

export default function Home() {
  return (
    <div className="pt-7">
      <Boxes />
      <BottomBoxes />
    </div>
  );
}
