import type { Metadata } from "next";
import { GeistSans, GeistMono } from "geist/font";
import "./globals.css";
import Bg from "@/components/Bg";
import Providers from "@/components/Providers";

const geistSans = GeistSans;
const geistMono = GeistMono;

export const metadata: Metadata = {
    title: "Login to Your Dashboard - Vertex",
    description:
        "Vertex thrives on the power of community. By connecting users across the globe, we are creating a network that fosters collaboration, innovation, and shared success.",
    openGraph: {
        type: "website",
        url: "https://dapp-ai-proj-02.vercel.app",
        title: "Login to Your Dashboard - Vertex",
        description:
            "Vertex thrives on the power of community. By connecting users across the globe, we are creating a network that fosters collaboration, innovation, and shared success.",
        images: "https://dapp-ai-proj-02.vercel.app/og-banner.png",
    },
};

export default function RootLayout({
    children,
}: Readonly<{
    children: React.ReactNode;
}>) {
    return (
        <html lang="en">
            <body className={`${geistSans.variable} ${geistMono.className} antialiased bg-[#070F11]`}>
                <Providers>{children}</Providers>
                <Bg />
            </body>
        </html>
    );
}
